<?php

if (isset($_SESSION['usuario'])){

$user=$_SESSION['usuario'];

}

else{

?>

<script>

location.href="index.php?errorusuario=3";

</script>

<?php }

date_default_timezone_set("America/Mexico_City");

				if (isset($_GET['b']))

					{

						//OBTENGO LA VARIABLE B

						$b=$_GET['b'];



						if ($b==1)

						{

							$hoy=date("Y-m-d");

							

							$fecha=explode("-",$hoy);

							

							if ($fecha[1] == '01')

								{$mes="Enero";}

							if ($fecha[1] == '02')

								{$mes="Febrero";}

							if ($fecha[1] == '03')

								{$mes="Marzo";}

							if ($fecha[1] == '04')

								{$mes="Abril";}

							if ($fecha[1] == '05')

								{$mes="Mayo";}

							if ($fecha[1] == '06')

								{$mes="Junio";}

							if ($fecha[1] == '07')

								{$mes="Julio";}

							if ($fecha[1] == '08')

								{$mes="Agosto";}

							if ($fecha[1] == '09')

								{$mes="Septiembre";}

							if ($fecha[1] == 10)

								{$mes="Octubre";}

							if ($fecha[1] == 11)

								{$mes="Noviembre";}

							if ($fecha[1] == 12)

								{$mes="Diciembre";}

							

							$fechafinal= $fecha[2]."-".$mes."-".$fecha[0];



						}//END IF B=1



						if ($b==2)

						{

							$fecha1=$_POST['fecha'];

							$fecha2=$_POST['fecha2'];


							//CALCULO DE FECHAS EN LETRAS

							$fe1=explode("-",$fecha1);

							

							if ($fe1[1] == '01')

								{$mes="Enero";}

							if ($fe1[1] == '02')

								{$mes="Febrero";}

							if ($fe1[1] == '03')

								{$mes="Marzo";}

							if ($fe1[1] == '04')

								{$mes="Abril";}

							if ($fe1[1] == '05')

								{$mes="Mayo";}

							if ($fe1[1] == '06')

								{$mes="Junio";}

							if ($fe1[1] == '07')

								{$mes="Julio";}

							if ($fe1[1] == '08')

								{$mes="Agosto";}

							if ($fe1[1] == '09')

								{$mes="Septiembre";}

							if ($fe1[1] == 10)

								{$mes="Octubre";}

							if ($fe1[1] == 11)

								{$mes="Noviembre";}

							if ($fe1[1] == 12)

								{$mes="Diciembre";}

							

							$fechafinal1= $fe1[2]."-".$mes."-".$fe1[0];



							$fe2=explode("-",$fecha2);
							
					
						
							if ($fe2[1] == '01')

								{$mes="Enero";}

							if ($fe2[1] == '02')

								{$mes="Febrero";}

							if ($fe2[1] == '03')

								{$mes="Marzo";}

							if ($fe2[1] == '04')

								{$mes="Abril";}

							if ($fe2[1] == '05')

								{$mes="Mayo";}

							if ($fe2[1] == '06')

								{$mes="Junio";}

							if ($fe2[1] == '07')

								{$mes="Julio";}

							if ($fe2[1] == '08')

								{$mes="Agosto";}

							if ($fe2[1] == '09')

								{$mes="Septiembre";}

							if ($fe2[1] == 10)

								{$mes="Octubre";}

							if ($fe2[1] == 11)

								{$mes="Noviembre";}

							if ($fe2[1] == 12)

								{$mes="Diciembre";}

							

							$fechafinal2= $fe2[2]."-".$mes."-".$fe2[0];



						}//END IF B=2



					}// END ISSET

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />

<title>Untitled Document</title>

<style type="text/css">

<!--

body {

	margin-left: 0px;

	margin-top: 0px;

	margin-right: 0px;

	margin-bottom: 0px;

}

-->

</style>

<link href="ucaestilos.css" rel="stylesheet" type="text/css" />

<style type="text/css">

<!--

.Estilo1 {font-size: 14px}

-->

</style>

<link href="ticket_estiloimpresionrecibo.css" rel="stylesheet" type="text/css" media="print">

<style type="text/css">

<!--

.Estilo3 {font-size: 14}

-->

</style>

</head>

<body>

  <table width="950" border="0" align="center">

    <tr>

      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">

        <tr>

          <td width="16%"><img src="img/logo_reportes.jpg" width="241" height="64" /></td>

          <td width="71%"><div align="center"><span class="style4"><span class="Estilo3">CLINICA DE ODONTOLOG&Iacute;A</span><br />

            REPORTE DE CORTE DE CAJA<br />

            <?php 

			if ($b==1)

			{echo "DEL ".$fechafinal;}

			if ($b==2)

			{echo "Del ".$fechafinal1." al ".$fechafinal2;}

			?>

            </span>

          </div></td>

          <td width="13%" valign="bottom"><div align="right" id="noimprimible"><a href="javascript:print()"><img src="img/icon_print.jpg" alt="Imprimir" width="22" height="22" border="0" /></a></div></td>

        </tr>

      </table></td>

    </tr>

    <tr>

      <td><table width="100%" height="0" border="0" cellpadding="0" cellspacing="0">

          <tr>

            <td align="center" valign="top"><hr width="100%" size="1" noshade="noshade"></td>

          </tr>

          <tr>

            <td>
           	  <?php

				include ("conexion.php");

				if ($b==1)
				{
					$condicion="WHERE fechaSalida = '$hoy'";
				}
				if ($b==2)
				{
					$condicion="WHERE fechaSalida between '$fecha1' and '$fecha2'";
				}
				
				echo "<table align='center' cellpadding='3' class='tablaBordes' width='100%'>";
					echo "<tr class='tablaCabecera'>";

					echo "<td>Status</td>";
					echo "<td align='center'>No.<br>Ctrl</td>";
					echo "<td> Folio </td>";
					echo "<td align='center'>Exp.</td>";
					echo "<td>Alumno</td>";
					echo "<td>Tratamiento</td>";
					echo "<td align='center'>Monto</td>";
					echo "<td align='center'>Desc</td>";
					echo "<td align='center'>TOTAL</td>";

					echo "</tr>";

					$totalFinal=0;							

					
					$query="SELECT idSalida,expedientePaciente,doctor,montoTotal,idTratamiento,cifra,fechaSalida,reposicion,folio,estado FROM salida $condicion ORDER BY folio ASC";
				 
					$result=mysql_query($query,$conex) or die ("No se realizó query");
					while($fila = mysql_fetch_array($result))
					{
						if($fila[9]=="Cancelada"){$estilo="style='color:#F00;'"; $estado="C";}
						else{$estilo="";  $estado="F";}
								
						echo "<tr class='tablaBordes' $estilo >";
								
								//ESTADO
								echo "<td class='style1' align='center' >";
								echo $estado;
								echo "</td>";
								
								//num control												
								echo "<td class='style1' align='center'>";
								echo $fila[0];
								echo "</td>";
								
								//Folio													
								echo "<td class='style1'>";
								echo $fila[8];
								echo "</td>";

								//fecha
								$fecharep=explode("-",$fila[6]);
								$fecharepor=$fecharep[2]."-".$fecharep[1]."-".$fecharep[0];
								/*
								echo "<td class='style1'>";
								echo $fecharepor;
								echo "</td>";
								*/
								
								//Paciente												
								echo "<td class='style1' align='right'>";
								echo $fila[1];
								echo "</td>";

								//Doctor / Alumno											
								echo "<td class='style1'>";
								echo $fila[2];
								echo "</td>";

								//Tratamiento
								$cons1="SELECT tratamientoCompleto,descuento FROM tratamientocompleto WHERE idTratamiento='$fila[4]'";
								$res1=mysql_query($cons1,$conex) or die ("No se realizo cons1");
								$tratamiento=mysql_result($res1,0,'tratamientoCompleto');
								$aplicadesc=mysql_result($res1,0,'descuento');

								echo "<td class='style1'>";
								echo $tratamiento;
								echo "</td>";

								//COSTO DEL TRATAMIENTO SIN DESCUENTO									
								echo "<td class='style1' align='right'>";
								if($fila[9]=="Cancelada")
								{
									echo "0.00";
								}
								else
								{
									echo "$".number_format($fila[3],2);
								}
								echo "</td>";

								//APLICO DESCUENTO SI LO TIENE											
								echo "<td class='style1' align='center'>";
								if($fila[7]=="si")
								{echo "Repos.";}
								else
								{echo $fila[5]."%";}
								echo "</td>";
								
								
								//monto										
								echo "<td class='style10' bgcolor='D0D0D0' align='right'>";
								if($fila[9]=="Cancelada")
								{
									echo "$0.00";
								}
								else
								{
									
									$descue=$fila[5]/100;
									$descue2=$fila[3]*$descue;
									$total=$fila[3]-$descue2;
									
									echo "$".number_format($total,2);
									
								}
								echo "</td>";
								
								echo "</tr>";
								
								if($fila[9]=="Finalizada")
								{
									$totalFinal=$totalFinal+$total;
								}
								

							}//end de $cons2

							//TOTAL FINAL
							echo "<tr class='style1' bgcolor='D0D0D0'>";
								echo "<td colspan='10' class='style10' align='right' style='font-size:15px;'>";
								echo "$".number_format($totalFinal,2);
								echo "</td>";
							echo "</tr>";

							echo "</table>";

				?>            
            	</td>

        </tr>

      </table></td>

    </tr>

  </table>

</body>

</html>



